Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.weblogic
Class PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo

`java.lang.Object
com.tangosol.coherence.weblogic.PortalCacheProvider.CacheImpl.EntryInfo
com.tangosol.coherence.weblogic.PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo`

Enclosing class:
  PortalCacheProvider.ReloadableCacheImpl

      protected class PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo

extends PortalCacheProvider.CacheImpl.EntryInfo

An EntryInfo extension that contains additional metadata about a cached Map.Entry that can be refreshed using a CacheReloader.

This class is not thread-safe.

Field Summary
`protected long` | `m_cExpiryDelay` The time-to-live of the corresponding Map.Entry.
`protected com.bea.p13n.cache.CacheReloader` | `m_reloader` The CacheReloader used to refresh the corresponding Map.Entry value.

Fields inherited from class com.tangosol.coherence.weblogic.PortalCacheProvider.CacheImpl.EntryInfo
`m_fLocal`

Constructor Summary
`protected` | `PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo(boolean fLocal)` Create a new ReloadableEntryInfo.
`protected` | `PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo(boolean fLocal, com.bea.p13n.cache.CacheReloader reloader, long cMillis)` Create a new ReloadableEntryInfo.

Method Summary
`protected com.bea.p13n.cache.CacheReloader` | `getCacheReloader()` Return the CacheReloader used to refresh the corresponding Map.Entry value.
`protected long` | `getExpiryDelay()` Return the time-to-live of the corresponding Map.Entry.
`protected void` | `setCacheReloader(com.bea.p13n.cache.CacheReloader reloader)` Set the CacheReloader used to refresh the corresponding Map.Entry value.
`protected void` | `setExpiryDelay(long cMillis)` Set the time-to-live of the corresponding Map.Entry.

Methods inherited from class com.tangosol.coherence.weblogic.PortalCacheProvider.CacheImpl.EntryInfo
`getDescription, isLocal, setLocal, toString`

Field Detail

### m_reloader

    protected com.bea.p13n.cache.CacheReloader m_reloader

  The CacheReloader used to refresh the corresponding Map.Entry value.

### m_cExpiryDelay

    protected long m_cExpiryDelay

  The time-to-live of the corresponding Map.Entry.

Constructor Detail

### PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo

    protected PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo(boolean fLocal)

  Create a new ReloadableEntryInfo.
  Parameters:
    `fLocal` - if true, the corresponding Map.Entry is stored in the local Map

### PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo

    protected PortalCacheProvider.ReloadableCacheImpl.ReloadableEntryInfo(boolean fLocal,
                                                                          com.bea.p13n.cache.CacheReloader reloader,
                                                                          long cMillis)

  Create a new ReloadableEntryInfo.
  Parameters:
    `fLocal` - if true, the corresponding Map.Entry is stored in the local Map
    `reloader` - the CacheReloader that should be used to reload the corresponding Map.Entry value
    `cMillis` - the TTL of the corresponding Map.Entry

Method Detail

### getCacheReloader

    protected com.bea.p13n.cache.CacheReloader getCacheReloader()

  Return the CacheReloader used to refresh the corresponding Map.Entry value.
  Returns:
    the CacheReloader

### setCacheReloader

    protected void setCacheReloader(com.bea.p13n.cache.CacheReloader reloader)

  Set the CacheReloader used to refresh the corresponding Map.Entry value.
  Parameters:
    `reloader` - the new CacheReloader

### getExpiryDelay

    protected long getExpiryDelay()

  Return the time-to-live of the corresponding Map.Entry.
  Returns:
    the TTL of the Map.Entry

### setExpiryDelay

    protected void setExpiryDelay(long cMillis)

  Set the time-to-live of the corresponding Map.Entry.
  Parameters:
    `cMillis` - the new TTL of the Map.Entry

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.